Skip to main content
GET
Get test by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

testId
string
required

Response

200 - application/json

Ok

id
string
required

The test's unique ID.

name
string
required

The test's name.

lastTestRunDate
string<date-time>
required

The timestamp of the last test run.

latestFlipDate
string<date-time> | null
required

The most recent date when the test flipped.

description
string
required

The test's description.

failureDescription
string
required

The test's failure description.

remediationDescription
string
required

The test's remediation description.

version
object
required

The test's version.

category
enum<string>
required

The test's category.

Available options:
Accounts access,
Account security,
Account setup,
Computers,
Custom,
Data storage,
Employees,
Infrastructure,
IT,
Logging,
Monitoring alerts,
People,
Policies,
Risk analysis,
Software development,
CSPM alert management,
Vendors,
Vulnerability management
integrations
string[]
required

This test's third-party integration dependencies.

status
enum<string>
required

This test run's status.

Available options:
OK,
DEACTIVATED,
NEEDS_ATTENTION,
IN_PROGRESS,
INVALID,
NOT_APPLICABLE
deactivatedStatusInfo
object
required

The test's deactivation status.

remediationStatusInfo
object
required

The test's remediation status.

owner
object | null
required

The test's owner.